| ## g_enemat Main Table of Contents | VERSION 4.5 Thu 26 Aug 2010

### Description

g_enemat extracts an energy matrix from the energy file (`-f`). With `-groups` a file must be supplied with on each line a group of atoms to be used. For these groups matrix of interaction energies will be extracted from the energy file by looking for energy groups with names corresponding to pairs of groups of atoms. E.g. if your `-groups` file contains:
`2`
`Protein`
`SOL`
then energy groups with names like 'Coul-SR:Protein-SOL' and 'LJ:Protein-SOL' are expected in the energy file (although `g_enemat` is most useful if many groups are analyzed simultaneously). Matrices for different energy types are written out separately, as controlled by the `-[no]coul`, `-[no]coulr`, `-[no]coul14`, `-[no]lj`, `-[no]lj14`, `-[no]bham` and `-[no]free` options. Finally, the total interaction energy energy per group can be calculated (`-etot`).

An approximation of the free energy can be calculated using: E(free) = E0 + kT log( <exp((E-E0)/kT)> ), where '<>' stands for time-average. A file with reference free energies can be supplied to calculate the free energy difference with some reference state. Group names (e.g. residue names) in the reference file should correspond to the group names as used in the `-groups` file, but a appended number (e.g. residue number) in the `-groups` will be ignored in the comparison.

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `ener.edr` | Input, Opt. | Energy file
`-groups` | `groups.dat` | Input | Generic data file
`-eref` | `eref.dat` | Input, Opt. | Generic data file
`-emat` | `emat.xpm` | Output | X PixMap compatible matrix file
`-etot` | `energy.xvg` | Output | xvgr/xmgr file

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | gmx_bool | `no` | Print help info and quit
`-[no]version` | gmx_bool | `no` | Print version info and quit
`-nice` | int | `19` | Set the nicelevel
`-b` | time | `0` | First frame (ps) to read from trajectory
`-e` | time | `0` | Last frame (ps) to read from trajectory
`-dt` | time | `0` | Only use frame when t MOD dt = first time (ps)
`-[no]w` | gmx_bool | `no` | View output xvg, xpm, eps and pdb files
`-xvg` | enum | `xmgrace` | xvg plot formatting: `xmgrace`, `xmgr` or `none`
`-[no]sum` | gmx_bool | `no` | Sum the energy terms selected rather than display them all
`-skip` | int | `0` | Skip number of frames between data points
`-[no]mean` | gmx_bool | `yes` | with -groups extracts matrix of mean energies instead of matrix for each timestep
`-nlevels` | int | `20` | number of levels for matrix colors
`-max` | real | `1e+20` | max value for energies
`-min` | real | `-1e+20` | min value for energies
`-[no]coul` | gmx_bool | `yes` | extract Coulomb SR energies
`-[no]coulr` | gmx_bool | `no` | extract Coulomb LR energies
`-[no]coul14` | gmx_bool | `no` | extract Coulomb 1-4 energies
`-[no]lj` | gmx_bool | `yes` | extract Lennard-Jones SR energies
`-[no]lj` | gmx_bool | `no` | extract Lennard-Jones LR energies
`-[no]lj14` | gmx_bool | `no` | extract Lennard-Jones 1-4 energies
`-[no]bhamsr` | gmx_bool | `no` | extract Buckingham SR energies
`-[no]bhamlr` | gmx_bool | `no` | extract Buckingham LR energies
`-[no]free` | gmx_bool | `yes` | calculate free energy
`-temp` | real | `300` | reference temperature for free energy calculation

http://www.gromacs.org
gromacs@gromacs.org